html,
body,
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
  width: 100%;
  scrollbar-color: #777 transparent;
  scrollbar-width: thin;
}

body {
  font-size: 1.6rem;
  width: 100%;
  overflow: hidden;
  /* background-color: var(--dark-grey); */
  background-image: linear-gradient(#000, var(--dark-purple));
  color: #fff;
  min-height: 100vh;
  /* font-family: monospace; */
  font-family: "roboto", sans-serif;
}

body.no-scroll {
  overflow: hidden;
  height: 100vh;
}

:root {
  /* colors */
  --blue: #3cccfd;
  --blue-alpha: #3ccdfda1;
  --purple: #461873;
  --purple-alpha: #46187398;
  --medium-purple: #706fd3;
  --dark-purple: #2c2c54;
  --dark-blue: #0040bb;
  --yellow: #ffed92;
  --pink: #f75975;
  --dark-pink: #cd2436;
  --orange: #ea7855;
  --white-shadow: #c5dcfa;
  --bg-dark-green: #001818;
  --bg-dark-blue: #022951;
  --bg-dark-blue-alpha: #022a5198;
  --dark-grey: #111;
  --very-dark-grey: #111;
  --dark-grey-alpha: #22222279;
  --class-name: #44c9a2;
  --for-return: #c586b6;
  --function: #569cd6;
  --function-name: #dcdcaa;
  --brackets: #f1d70a;
  --variable: #9cdcfe;
  --string: #ce9178;
  --variable-value: #a7ce9b;
  --inner-bracket: #da70b3;
  --comment: #6a9955;

  /* text-sizes */
  --heading-00: 7.2rem;
  --heading-0: 6rem;
  --heading-1: 4.8rem;
  --heading-2: 3.6rem;
  --heading-3: 3rem;
  --heading-4: 2.4rem;
  --heading-5: 1.8rem;
  --body: 1.6rem;
  --small-text: 1.4rem;
  --smaller-text: 1.2rem;
  --very-small-text: 1rem;

  /* font-families */
  --roboto: "Roboto", sans-serif;
  --retro1: "VT323", monospace;
  --retro2: "Press Start 2P", system-ui;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--retro2);
}

.holding-page-full-screen {
  height: 100vh;
  width: 100vw;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #fff;
}

.holding-page-inner {
  width: 100%;
  padding: 2rem;
  max-width: 800px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.holding-page-inner * {
  margin-bottom: 2rem;
  line-height: 1.5;
  font-family: var(--retro2);
}

.holding-page-img-container {
  width: 100%;
  max-width: 600px;
  margin: 1rem auto;
}

.holding-page-img-container img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

a,
button,
p {
  font-family: var(--roboto);
}

a,
button {
  cursor: pointer;
}

.container {
  padding: 0 10rem;
  color: #fff;
}

.faded-text {
  opacity: 0.5;
}

.push-footer {
  display: flex;
  flex-direction: column;
  min-height: calc(100vh - 10rem);
  justify-content: space-between;
  position: relative;
}
.min-height-100 {
  min-height: calc(100vh - 10rem);
}

.btn-blue,
.btn-green,
.btn-red {
  text-transform: uppercase;
  text-decoration: none;
  padding: 0.5rem 2rem;
  border-radius: 0.5rem;
  font-weight: bold;
  font-size: var(--body);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--blue);
  color: var(--dark-grey);
  transition: all 250ms;
}
.btn-white {
  text-transform: uppercase;
  text-decoration: none;
  padding: 0.5rem 2rem;
  border-radius: 0.5rem;
  font-weight: bold;
  font-size: var(--body);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #eee;
  color: var(--dark-grey);
  border: none;
}

.btn-blue:hover,
.btn-blue:focus {
  box-shadow: none;
  background-color: #fff;
}

.btn-green {
  background-color: #27ae60;
  border: none;
  color: #fff;
}

.btn-red {
  background-color: #cd2436;
  border: none;
  color: #fff;
}

.btn-small {
  border: none;
  width: fit-content;
}
.btn-full-width {
  border: none;
  width: 100%;
}

.btn-img-container {
  height: 64px;
  width: 64px;
  display: inline-block;
}

.btn-img-container img {
  height: 100%;
  width: 100%;
}

.link {
  text-decoration: none;
  color: var(--blue);
}

/* =============================================================================================================================================================*/
/* LOGIN MODAL  =================================================================================================================================================*/
/* =============================================================================================================================================================*/
.modal {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--blue-alpha);
  height: 100vh;
  width: 100vw;
  z-index: 3;
}

.modal-inner-container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: var(--blue);
  color: var(--dark-grey);
  z-index: 101;
  width: 90%;
  max-width: 500px;
  border-radius: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10rem 2rem 4rem;
}

.login-tabs {
  position: absolute;
  top: 0;
  width: 100%;
  border-radius: 2rem 2rem 0 0;
  display: flex;
  justify-content: space-around;
}

.login-tab {
  border-bottom: 2px solid var(--dark-grey);
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  font-family: var(--retro2);
  background-color: var(--dark-grey-alpha);
  cursor: pointer;
}

.login-tab:first-of-type {
  border-right: 2px solid var(--dark-grey);
  border-radius: 2rem 0 0 0;
}
.login-tab:last-of-type {
  border-radius: 0 2rem 0 0;
}

.login-tab.active {
  border-bottom: none;
  background-color: transparent;
}

.login-form h2,
.register-form h2 {
  text-align: center;
  margin-bottom: 2rem;
}

.login-form,
.register-form {
  width: 75%;
}

.error {
  color: red;
  font-size: var(--smaller-text);
  display: block;
  margin-bottom: 2rem;
}

#success {
  color: #27ae60;
  font-size: var(--smaller-text);
}

.success {
  color: #27ae60;
}

#success.fail {
  color: red;
}

.form-group {
  position: relative;
}

.show-password-icon-container {
  position: absolute;
  right: 1rem;
  top: 3.5rem;
  width: 24px;
  height: 24px;
  cursor: pointer;
}

.show-password-icon-container img {
  height: 100%;
  width: 100%;
}

.password-strength {
  display: flex;
  width: 80%;
  border: solid 2px #e0e0e0;
  border-radius: 12px;
  margin-bottom: 1rem;
}

.color-section {
  flex-grow: 1;
  height: 20px;
  visibility: hidden;
}

.color-section:nth-child(1) {
  border-radius: 12px 0 0 12px;
}

.color-section:nth-child(3) {
  border-radius: 0 12px 12px 0;
}

.form-message-small {
  font-size: var(--smaller-text);
}

.tick {
  margin-right: 5px;
}

.password-length-tick,
.password-letter-tick,
.password-number-tick {
  opacity: 0;
  color: #27ae60;
}

/* =============================================================================================================================================================*/
/* NAV STYLES  =================================================================================================================================================*/
/* =============================================================================================================================================================*/
.nav {
  background-color: var(--blue);
}

.nav-inner {
  display: flex;
  justify-content: space-between;
  position: relative;
}

.nav-links {
  max-width: 1000px;
  display: flex;
  align-items: center;
}

.nav-home {
  z-index: 11;
  width: 96px;
  transition: 250ms ease-in-out;
}
.nav-home img,
.user-profile-icon img {
  height: 100%;
  width: 100%;
}

.user-profile-icon {
  height: 32px;
  margin-left: 1rem;
  transition: 250ms ease-in-out;
}

.nav-home:hover,
.user-profile-icon:hover {
  transform: scale(1.1);
}

.nav-link {
  color: var(--dark-grey);
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  font-size: var(--very-small-text);
  margin: 0.5rem;
  padding: 1rem;
  position: relative;
  font-family: var(--retro2);
}

.nav-link:after {
  position: absolute;
  content: "";
  bottom: 6px;
  left: 0;
  height: 2px;
  width: 100%;
  background-color: var(--dark-grey);
  visibility: hidden;
  transform: scaleX(0);
  transform-origin: left;
  transition: all 250ms ease-in-out;
}

.nav-link:hover:after {
  visibility: visible;
  transform: scaleX(1);
}

.nav-link[aria-current="page"].nav-link:after {
  visibility: visible;
  transform: scaleX(1);
}
.nav-link[aria-current="page"] {
  pointer-events: none;
  cursor: default;
}

.nav-toggle-container {
  display: none;
  cursor: pointer;
}

.nav-right-btns-container {
  display: flex;
  width: 20%;
  justify-content: space-between;
}

.nav-btns-flex {
  display: flex;
}

.nav .btn-yellow {
  font-size: 4rem;
  padding: 0.5rem;
  z-index: 11;
}

@keyframes bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateY(0);
  }

  40% {
    transform: translateY(-10px);
  }

  60% {
    transform: translateY(-5px);
  }
}

.bounce {
  animation: bounce 1s infinite;
}

/* =============================================================================================================================================================*/
/* FOOTER STYLES  ==============================================================================================================================================*/
/* =============================================================================================================================================================*/

.footer {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 1rem;
  background-color: var(--blue);
  width: 100%;
  color: var(--dark-grey);
}

/* =============================================================================================================================================================*/
/* PROFILE & channel STYLES  =============================================================================================================================================*/
/* =============================================================================================================================================================*/

.profile-container {
  border-right: 4px solid var(--blue);
  border-radius: 0 2rem 0 0;
  border: var(--blue) solid 4px;
}

.channel-img {
  width: 100%;
  height: 278px;
  border: 4px solid var(--blue);
  border-radius: 2rem 0 0 0;
}

.profile-heading {
  border-bottom: 4px solid var(--blue);
  border-radius: 2rem 0 0 0;
  font-size: var(--heading-4);
  text-align: center;
}

.profile-main {
  display: flex;
}

.profile-avatar {
  height: 100%;
  width: 50%;
  border-right: 4px solid var(--blue);
  padding: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.profile-avatar img,
.channel-container img {
  height: 100%;
  width: 100%;
  border-radius: 1.5rem;
  object-fit: cover;
  image-rendering: pixelated;
  image-rendering: -moz-crisp-edges;
  image-rendering: crisp-edges;
  image-rendering: -o-crisp-edges;
  -ms-interpolation-mode: nearest-neighbor; /* IE */
}

.profile-arrow {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 2;
  width: 32px;
  height: 32px;
  background-color: var(--blue);
  padding: 4px;
  border-radius: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.profile-arrow-rotate {
  transform: rotate(180deg);
}

.profile-menu {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--blue);
  top: 0;
  left: 0;
  padding-top: 40px;
  display: none;
}

.profile-menu span,
.profile-menu a {
  display: block;
  padding: 5px;
  margin: 2px;
  padding-left: 20px;
  cursor: pointer;
  transition: 250ms all ease-in-out;
  text-decoration: none;
  color: #fff;
  background-color: var(--blue);
}

.profile-menu span:hover,
.profile-menu a:hover {
  background-color: var(--dark-grey);
}

.profile-arrow img {
  height: 100%;
  width: 100%;
}

.show-menu {
  display: block;
}
.channel-img {
  border-radius: 1.5rem 0 0 0;
}

.profile-side {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  padding: 1rem;
}

.profile-side p {
  width: 75%;
  color: #fff;
  font-size: var(--heading-5);
  text-align: center;
  margin: 0 auto;
}

.profile-side-img img {
  width: 100%;
  height: 100%;
}

.profile-side-btn {
  width: 75%;
  margin: 0 auto;
  font-size: var(--body);
  border: none;
}

.profile-side-snake-trophy {
  height: 32px;
  position: relative;
  cursor: pointer;
}

.profile-side-snake-trophy img {
  height: 100%;
}

.snake-highscore {
  display: none;
  background-color: var(--blue-alpha);
  font-size: var(--small-text);
  padding: 5px 10px;
  border-radius: 8px;
}
.profile-side-snake-trophy:hover + .snake-highscore {
  display: block;
}

.btn-blue-search img {
  width: 100%;
  height: 100%;
}

.card-container {
  height: 50vh;
  display: flex;
  flex-direction: column;
  width: 95%;
  gap: 1rem;
}
.card {
  position: relative;
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* flex: 1; */
  border: 4px solid var(--blue);
  background-color: var(--dark-grey);
  height: fit-content;
}

.container .card p {
  font-size: var(--heading-5);
}

.card-img {
  height: 200px;
  margin: 1rem;
  border: 2px solid var(--blue);
}

.card-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 2rem;
}

.card-img-2 {
  background-image: url(../images/retro-bg-2.jpg);
}

.card-img-3 {
  background-image: url(../images/retro-bg-3.jpg);
}

.card-img-4 {
  background-image: url(../images/retro-bg-4.jpg);
}

.card-text {
  padding: 1rem;
  border-radius: 2rem;
}

.card-text p {
  margin-bottom: 1rem;
  font-size: 1.4rem;
}

/* CODE WARS PROFILE BADGE */
.codewars-badge {
  width: 100%;
  border-top: 4px solid var(--blue);
  padding: 1rem;
}

.codewars-error {
  color: red;
  font-size: var(--very-small-text);
  display: block;
  line-height: 1;
  padding: 0 1rem 1rem;
  margin-top: -10px;
}

/* CONTACT ME PAGE */
.retro-play-bg {
  background-image: url(../images/91656.jpg);
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
  width: 100vw;
  position: relative;
}

form {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin: 0 auto;
}

::placeholder {
  color: var(--dark-grey);
  opacity: 1; /* Firefox */
}

::-ms-input-placeholder {
  /* Edge 12 -18 */
  color: var(--dark-grey);
}

form label {
  width: 100%;
  margin-bottom: 2rem;
}

form label span {
  color: red;
  font-size: var(--very-small-text);
  margin-left: 0.5rem;
}

form input,
form textarea {
  background-color: transparent;
  border: none;
  outline: none;
  border-bottom: solid #fff 2px;
  color: var(--dark-grey);
  width: 100%;
  padding: 1rem;
  margin: 0.5rem 0;
}

/* The container must be positioned relative: */
.custom-select {
  position: relative;
  font-family: Arial;
  text-align: center;
}

.custom-select select {
  display: none; /*hide original SELECT element: */
}

.select-selected {
  background-color: DodgerBlue;
}

/* Style the arrow inside the select element: */
.select-selected:after {
  position: absolute;
  content: "";
  top: 14px;
  right: 10px;
  width: 0;
  height: 0;
  border: 6px solid transparent;
  border-color: #fff transparent transparent transparent;
}

/* Point the arrow upwards when the select box is open (active): */
.select-selected.select-arrow-active:after {
  border-color: transparent transparent #fff transparent;
  top: 7px;
}

/* style the items (options), including the selected item: */
.select-items div,
.select-selected {
  color: #ffffff;
  padding: 8px 16px;
  border: 1px solid transparent;
  border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
  cursor: pointer;
}

/* Style items (options): */
.select-items {
  position: absolute;
  background-color: DodgerBlue;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 99;
}

/* Hide the items when the select box is closed: */
.select-hide {
  display: none;
}

.select-items div:hover,
.same-as-selected {
  background-color: rgba(0, 0, 0, 0.1);
}

.heading {
  font-size: var(--heading-0);
  text-align: center;
  margin-bottom: 2rem;
}

.container p,
.container li {
  margin-bottom: 1rem;
  line-height: 1.5;
  font-size: var(--heading-5);
}

.subheading {
  font-size: var(--heading-2);
  text-transform: uppercase;
  margin-bottom: 2rem;
}

.dark-blue-bg {
  display: flex;
}

.form-container {
  justify-content: center;
  margin-top: 4rem;
}

/* main {
  overflow-y: auto;
  flex: 1;
  max-width: 1200px;
} */

.main .hero-section {
  position: relative;
  text-align: center;
  max-width: 1000px;
  margin: 0 auto;
}

.main .hero-section img {
  width: 100%;
  height: 100%;
}

.main .hero-section .title-and-canvas {
  position: absolute;
  left: 5%;
  top: 6.5%;
  width: 75%;
  height: 65%;
}

.main .hero-section .title-and-canvas .game-over-modal {
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: var(--blue-alpha);
  top: 50px;
  display: flex;
  gap: 1rem;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 1rem;
  color: var(--dark-grey);
}
.main .hero-section .title-and-canvas .game-over-modal p {
  max-width: 500px;
}
.main .hero-section .game-over-modal .final-score {
  font-size: var(--heading-1);
}

.main .intro-section h1 {
  font-size: var(--heading-3);
  line-height: 1.25;
  text-align: center;
  margin: 4rem 0;
}
@media (max-width: 500px) {
  .wrapper {
    flex-direction: column-reverse;
  }
  /* ul {
    display: flex;
    align-items: center;
    justify-content: space-between;
  } */
}
.wrapper_inner {
  width: 100%;
  margin: 0 auto;

  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 0 2rem;
}

.grey-container {
  background-color: var(--dark-grey);
  box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.25),
    10px 0px 15px -3px rgba(0, 0, 0, 0.25),
    0px -5px 10px -3px rgba(255, 255, 255, 0.1),
    -5px 0px 10px -3px rgba(255, 255, 255, 0.1);
  border-radius: 2rem;
}

.hamburger-btn {
  background: transparent;
  position: absolute;
  top: 1rem;
  right: 1rem;
  border: none;
}

.hamburger-btn .line {
  transition: y 300ms ease-in 300ms, rotate 300ms ease-in, opacity 0ms 300ms;
  transform-origin: center;
}
.hamburger-btn:hover .line {
  transition: y 300ms ease-in, rotate 300ms ease-in 300ms, opacity 0ms 300ms;
  transform-origin: center;
}

.hamburger-btn:hover :is(.top, .bottom) {
  y: 45;
}
.hamburger-btn:hover .top {
  rotate: 45deg;
}
.hamburger-btn:hover .bottom {
  rotate: -45deg;
}
.hamburger-btn:hover .middle {
  opacity: 0;
}

.profile-img-container {
  border-radius: 2rem;
  width: 50%;
  min-width: 120px;
}

.profile-img-container img {
  width: 100%;
  height: 100%;
  border-radius: 2rem;
}

.wide-container {
  padding: 0 6rem;
}

/* resources colour swatches */
.colours-container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  padding: 20px;
  justify-content: center;
}
.colour-swatch {
  width: 100%;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: 12px;
  color: white;
  border-radius: 8px 8px 0 0;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.colour-swatch-name {
  background-color: #000;
  background-color: #fff;
  padding: 10px;
  border-radius: 0 0 8px 8px;
  font-family: sans-serif;
  font-weight: bold;
  text-align: center;
  position: relative;
}

.copied-success {
  position: absolute;
  top: -25px;
  background-color: lightgreen;
  padding: 5px;
  width: 100%;
  left: 0;
}

.colour-swatch-name * {
  margin-bottom: 5px;
  cursor: pointer;
  transition: all 150ms;
  display: flex;
  justify-content: center;
  align-items: center;
}

.colour-swatch-name *:hover {
  background-color: rgba(144, 238, 144, 0.247);
}
.colour-swatch-name p:hover img {
  transform: scale(1.25);
}

.colour-container {
  display: flex;
  flex-direction: column;
  width: 200px;
}

.small-icon {
  height: 25px;
}

.copy-text {
  color: #000;
}
.wrapper {
  display: flex;
  height: 100%;
  gap: 1rem;
}

.sml-screen {
  display: none;
}

.fixed-container {
  position: fixed;
  width: 375px;
  margin-top: 2rem;
  flex: 1;
  display: flex;
  flex-direction: column;
  height: 92vh;
}

.fixed-container.left {
  gap: 1rem;
}

.fixed-container.right {
  right: 10rem;
}
.scroll {
  overflow-y: auto;
  width: 100%;
}

.scroll {
  margin: 1rem 0;
  height: 100%;
}

.main {
  margin: 2rem 370px 0;
  overflow-y: hidden;
  flex: 2.5;
  padding: 0 15rem 4rem;
  min-height: calc(100vh - 100px);
}

.profile-container {
  width: 100%;
  min-width: unset;
}

::-webkit-scrollbar-track {
  background-color: red;
}
scrollbar-track {
  background-color: red;
}

::-webkit-scrollbar-thumb:hover {
  background-color: red;
}

.game-controls,
.cards {
  display: none;
}

.space-restart {
  display: block;
}
.btn-restart {
  display: none;
}

/* GAMES ON INDEX.PHP */
.hero-section .title-and-canvas h1 {
  color: beige;
  border: 4px solid var(--blue);
  background-color: var(--blue);
  border-bottom: none;
  padding: 1rem 0;
  text-align: center;
}

.title-and-canvas canvas {
  width: 100%;
  height: 100%;
  border: 4px solid var(--blue);
}

.resources {
  text-align: center;
  /* display: flex;
  flex-direction: column;
  justify-content: center; */
  min-height: calc(100vh - 100px);
  position: relative;
}

.resources .article h1 {
  margin: 12rem auto 8rem;
  max-width: 1000px;
}

.resources-content {
  margin-top: 10rem;
  /* border: 2px solid var(--blue);
  border-top: none; */
}

.resources .scroll-nav {
  position: absolute;
  top: 0;
  width: 100%;
  display: flex;
  padding: 1rem 1rem 0;
}

.resources .scroll-nav:after,
.resources .scroll-nav:before {
  content: "";
  position: absolute;
  height: 2px;
  background-color: var(--blue);
  width: 10px;

  bottom: 0;
}

.resources .scroll-nav:after {
  right: 0;
}
.resources .scroll-nav:before {
  left: 0;
}

.resources .scroll-nav .tab {
  flex: 1;
  border: 2px solid var(--blue);
  padding: 1rem;
  background-color: var(--blue-alpha);
  font-family: var(--retro2);
  font-size: var(--small-text);
  cursor: pointer;
}

.resources .scroll-nav .tab.active {
  border-bottom: none;
  background-color: transparent;
}

.resources h1 {
  margin: 2rem auto;
}

.article-section {
  background-color: #111;
  padding: 6rem 2rem;
  border-radius: 2rem;
  margin: 0 2rem 4rem;
}

.article-section * {
  max-width: 1000px;
  margin: 0 auto;
}

.article-section-accent {
  background-color: var(--blue-alpha);
}

.article-section-accent .highlight {
  color: var(--dark-grey);
  background-color: var(--blue-alpha);
  padding: 4px;
}

.article-section ul,
.article-section ol {
  max-width: 1000px;
  margin-left: 15%;
}

.profile-pixel-app {
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media only screen and (max-width: 2350px) {
  .article-section ul,
  .article-section ol {
    margin-left: 20px;
  }
}
.article-section ul,
.article-section ol,
.article-section li {
  text-align: left;
}

.highlight {
  color: var(--blue);
  font-weight: bold;
  font-style: italic;
}

.article h1 {
  padding: 0 1rem;
}

.user-profile-details {
  position: relative;
}
.user-profile-details * {
  margin-bottom: 2rem;
}

.user-profile-logout {
  position: absolute;
  top: 0;
  right: 0;
}

.user-profile-flex {
  display: flex;
  gap: 1rem;
}
.xp-div {
  background-color: var(--white-shadow);
  width: 400px;
  border: #fff 2px solid;
  height: 24px;
  border-radius: 8px;
}

.user-profile-avatar {
  width: 100%;
  max-width: 96px;

  image-rendering: pixelated; /* This disables smoothing */
}

.text-limit {
  color: red;
}

.char-count-container {
  text-align: right;
  font-size: var(--smaller-text);
}

/* intro to functions styles */

.accent-text {
  color: var(--blue);
}

.article-btns {
  display: flex;
  gap: 2rem;
  justify-content: flex-start;
  align-items: flex-start;
  padding: 6rem;
  width: 100%;
  height: 100%;
}

.article-btn {
  cursor: pointer;
}

.article {
  font-family: "Roboto", sans-serif;
  line-height: 1.5;
  border: 2px solid var(--blue);
}

.resources .article h1 {
  font-size: var(--heading-4);
  margin: 6rem auto;
}

.article h2 {
  font-size: var(--heading-5);
  margin: 2rem auto 4rem;
}
.article h3 {
  font-size: var(--body);
  margin: 3rem auto 3rem;
}

.article p {
  margin-bottom: 1rem;
}

.article .img-container {
  width: 100%;
  max-width: 800px;
  margin: 2rem auto;
}

.article .img-container img {
  width: 100%;
  height: 100%;
}

.indent {
  margin-left: 20px;
}

.code {
  font-family: monospace;
  background-color: #000;
  padding: 1rem 3rem;
  color: #fff;
  margin: 2rem auto;
  text-align: left;
  display: block;
  width: fit-content;
}

code {
  background-color: #000;
  text-align: left;
}

p code {
  padding: 0.5rem 1rem;
  margin: 0 0.5rem;
}

.code * {
  font-family: inherit;
}

.code p {
  margin-bottom: 0;
}

.code .function,
code .function,
.code .const,
code .const,
.code .let,
code .let {
  color: var(--function);
}

.code .function-name,
code .function-name {
  color: var(--function-name);
}

.code .class-name,
code .class-name {
  color: var(--class-name);
}

.code .for,
code .for,
.code .return,
code .return,
.code .if,
code .if {
  color: var(--for-return);
}

.code .bracket,
code .bracket {
  color: var(--brackets);
}

.code .inner-bracket,
code .inner-bracket {
  color: var(--inner-bracket);
}

.code .string,
code .string {
  color: var(--string);
}

.code .variable,
code .variable {
  color: var(--variable);
}

.code .variable-value,
code .variable-value {
  color: var(--variable-value);
}

.code .comment,
code .comment {
  color: var(--comment);
}

.section-summary ul {
  text-align: left;
  margin-bottom: 2rem;
  font-size: var(--heading-5);
}

/* pixel app styles */
.pixel-app {
  text-align: center;
  background-color: ;
}

.pixel-app h1 {
  color: tomato;
}

.colorSwatch {
  width: 30px; /* Sets the width of each swatch */
  height: 30px; /* Sets the height of each swatch */
  margin: 1px; /* Adds some space around each swatch */
  display: inline-block; /* Aligns swatches in a row */
  cursor: pointer; /* Changes cursor to indicate it's clickable */
  border: black 1px solid;
}

.colorPicker input[type="color"] {
  /* Basic styling */
  width: 40px; /* or your preferred size */
  height: 40px; /* or your preferred size */
  cursor: pointer;
  -webkit-appearance: none;
  appearance: none;
}

/* Hiding the default color picker's input appearance */
.colorPicker input[type="color"]::-webkit-color-swatch-wrapper {
  padding: 0;
}
.colorPicker input[type="color"]::-webkit-color-swatch {
  border: none;
}

#toggleGridlinesBtn {
  padding: 0.5rem; /* Adjust padding for better sizing */
  background-color: rgb(189, 0, 0); /* Green to indicate active status */
  color: #fff;
  border: none; /* No border for a modern look */
  border-radius: 5px; /* Rounded corners */
  text-align: center;
  cursor: pointer;
  user-select: none; /* Prevent text selection */
  transition: all 0.3s;
  display: inline-block; /* Makes the div only as wide as its content */

  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2); /* Subtle shadow for 3D effect */
  text-transform: uppercase;
  font-weight: bold;
  width: 100%;
}

/* #toggleGridlinesBtn:hover {
  background-color: red;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); 
  color: #fff;
} */

#toggleGridlinesBtn.active {
  background-color: var(--medium-purple); /* Green to indicate active status */
  color: #fff;
}

#toolPanel {
  margin: 5px;
  display: flex;
  justify-content: center;
  gap: 1rem;
}

#activeColorDisplay {
  width: 100%;
  height: 40px;
  /* margin: 5px; Adds some space around each swatch */
  display: inline-block; /* Aligns swatches in a row */
  border: black 1px solid;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
#activeColorDisplay p {
  color: #fff;
  background-color: var(--dark-grey-alpha);
  padding: 0 1rem;
  margin-bottom: 0;
  font-size: var(--small-text);
}

.tool-button {
  background: none;
  cursor: pointer;
  border: #fff 4px solid;
  opacity: 0.25;
}

.tool-button img {
  width: 64px; /* or whatever size suits your design */
  height: 64px;
  image-rendering: pixelated; /* This disables smoothing */
}

.tool-button.selected {
  border: #28a745 4px solid;
  opacity: 1;
}

.checkerboard {
  background-image: linear-gradient(
      45deg,
      #ffffff 25%,
      transparent 25%,
      transparent 75%,
      #ffffff 75%,
      #ffffff
    ),
    linear-gradient(
      45deg,
      #ffffff 25%,
      transparent 25%,
      transparent 75%,
      #ffffff 75%,
      #ffffff
    );
  background-position: 0 0, 10px 10px;
  background-size: 20px 20px;
}

#myPixelAppCanvas,
#colorPalette {
  width: 100%;
  max-width: 500px;
}

#colorPalette {
  margin: 1rem auto;
  flex: 2;
}

#saveBtn {
  background-color: #28a745;
  color: #fff;
}
#saveBtn:hover,
#saveBtn:focus {
  background-color: #176329;
}

.tools {
  margin: 1rem auto;
  flex: 1;
  max-width: 180px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.color-palette-btns {
  width: 100%;
  max-width: 640px;
  margin: auto;
  display: flex;
}

.container .color-palette-label {
  margin-bottom: 0;
  font-size: var(--small-text);
}

.colorPicker {
  margin: 0 auto;
}

.btns-flex {
  display: flex;
  gap: 1rem;
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
}

.size-btns {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;
}

.tools #savingPanel {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  position: relative;
}

.cover-bg {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--bg-dark-blue-alpha);
  z-index: 1000;
  display: none;
}

.confirmSaveModal {
  position: absolute;
  background-color: var(--blue);
  color: var(--dark-grey);
  font-weight: bold;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-self: center;
  padding: 2rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1001;
  border-radius: 1rem;
}

.save-modal-btns-flex {
  display: flex;
  gap: 1rem;
}

.save-modal-btns-flex button {
  flex: 1;
}

.tools .needToLoginModal {
  position: absolute;
  background-color: var(--bg-dark-blue);
  top: 0;
  left: 0;
  display: none;
}

.tools .warning {
  color: red;
  font-style: italic;
}

@media only screen and (max-width: 1440px) {
  .color-palette-btns {
    flex-direction: column;
  }

  .tools {
    gap: 1rem;
    max-width: unset;
    width: 400px;
  }

  .tools div {
    display: flex;
    flex-direction: column;
  }

  #toolPanel {
    flex-direction: row;
  }

  #toolPanel button {
    flex: 1;
    width: 50%;
    max-width: 100px;
  }
}

/* Styles for the body to center the buttons container */
/* body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: #333;
} */

/* Container to hold buttons and make sure they are centered and can wrap */
.buttons {
  display: flex;
  flex-wrap: wrap; /* Allows buttons to wrap onto the next line if needed */
  justify-content: center;
  gap: 10px;
}

/* Styling for each button */
.confettiButton {
  font-size: 50px;
  border: none;
  background-color: transparent;
  cursor: pointer;
  color: white;
  transition: transform 0.2s ease; /* Smooth transition for hover and click effects */
}

/* Hover effect to scale up the button */
.confettiButton:hover {
  transform: scale(1.2);
}

/* Active (click) effect to slightly scale down the button */
.confettiButton:active {
  transform: scale(0.9);
}

@media only screen and (max-width: 2000px) {
  .main {
    padding: unset;
  }
}
@media only screen and (max-width: 1600px) {
  .container {
    padding: 0 4rem;
  }

  .wrapper_inner {
    padding: 0;
  }

  .fixed-container {
    width: 300px;
  }

  .fixed-container.right {
    right: 4rem;
  }

  .main {
    margin: 2rem 320px 0;
  }
}
@media only screen and (max-width: 1440px) {
  .container {
    width: 100%;
    max-width: none;
    padding: 0 4rem;
  }

  .hero-section .title-and-canvas h1 {
    font-size: var(--heading-5);
  }
}
@media only screen and (max-width: 1200px) {
  .container {
    padding: 0 2rem;
  }
  .container p,
  .container li {
    font-size: var(--heading-5);
  }
  .nav-toggle-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 4rem;
    width: 48px;
    color: #fff;
    z-index: 11;
  }
  .nav-toggle-container img {
    width: 100%;
    height: 100%;
  }

  .nav-inner {
    padding: 1rem;
  }
  .user-profile-icon {
    margin: 1rem;
  }

  .login-register-modal-close {
    position: absolute;
    top: 2rem;
    right: 2rem;
  }

  .nav-links {
    width: 100%;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    background-color: var(--blue);
    color: var(--dark-grey);
    transform: translateY(-150%);
    z-index: 10;
    padding: 4rem;
    max-width: none;
  }

  .nav-links-visible {
    transform: translateY(0);
  }

  @keyframes revealNavAnimation {
    0% {
      transform: translateY(-150%);
    }
    100% {
      transform: translateY(0);
    }
  }

  @keyframes hideNavAnimation {
    0% {
      transform: translateY(0);
    }
    100% {
      transform: translateY(-150%);
    }
  }

  .nav-logo-container {
    width: 50px;
    position: absolute;
    top: 1rem;
    left: 1rem;
    margin-top: 0;
  }

  .nav-link {
    margin: 0.5rem auto;
    padding: 1rem;
    border-radius: 8px;
    color: var(--dark-grey);
  }

  .nav-link:hover {
    background-color: #fff;
    color: var(--dark-pink);
  }

  .nav-link:hover:after,
  .nav-link[aria-current="page"].nav-link:after,
  .footer-details .nav-link:hover:after,
  .footer-details .nav-link[aria-current="page"].nav-link:after {
    visibility: hidden;
    transform: scaleX(0);
  }

  .nav-link[aria-current="page"] {
    pointer-events: none;
    cursor: default;
    background-color: #fff;
    color: var(--dark-pink);
  }

  form {
    width: 80%;
  }

  .main .hero-section .game-over-modal {
    width: 80%;
  }

  .profile-side p,
  .profile-side-btn {
    font-size: var(--smaller-text);
  }

  .nav-toggle-container {
    right: 2rem;
  }
  .main .hero-section .title-and-canvas .game-over-modal {
    gap: 0.5rem;
  }
  .main {
    margin-top: 2rem;
    overflow-y: auto;
    flex: 2;
    /* min-height: unset; */
  }

  .fixed-container.right {
    right: 2rem;
  }

  .wrapper-container {
    height: unset;
  }

  .wrapper {
    flex-direction: column;
  }

  .resources-content {
    border: none;
  }

  .fixed-container {
    display: none;
  }

  .sml-screen {
    display: block;
  }

  .hero-section canvas,
  .hero-section h1 {
    width: 60%;
    margin: 0 auto;
  }

  .top-flex {
    display: flex;
    height: 280px;
  }
  .channel-img,
  .profile-container {
    flex: 1;
    width: 50%;
  }

  .profile-side p,
  .profile-side-btn {
    font-size: var(--body);
  }

  .sml-screen .top-flex {
    margin: 2rem auto 0;
    width: 100%;
    /* max-width: 700px; */
    justify-content: space-evenly;
  }

  .sml-screen .intro-section h1 {
    margin-bottom: 1rem;
  }

  .cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    margin: 2rem auto;
    max-width: 800px;
  }
  .cards .card {
    flex: 1;
    min-width: 260px;
    max-width: 280px;
  }
  .channel-img {
    height: 100%;
    display: none;
  }
  .profile-main {
    height: 65%;
  }
  #codewars-badge {
    padding: 0.5rem;
    height: 20%;
  }
  .profile-container,
  .channel-img {
    border-radius: 0;
    max-width: 400px;
    width: 100%;
  }

  .game-controls {
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    margin: 2rem 0;
  }

  .up-btn,
  .down-btn,
  .left-btn,
  .right-btn {
    border: none;
    background-color: var(--blue);
    border-radius: 1rem;
  }

  .game-controls .middle {
    display: flex;
    justify-content: space-between;
  }
  .game-controls .top {
    display: flex;
    justify-content: flex-end;
  }
  .game-controls .bottom {
    display: flex;
    justify-content: flex-start;
  }

  .up-btn {
    margin-right: 64px;
    margin-left: auto;
  }

  .down-btn {
    margin-left: 64px;
    margin-right: auto;
  }

  .btn-restart {
    display: block;
  }
  .space-restart {
    display: none;
  }

  .main {
    width: 100%;
    margin: 2rem auto 0;
  }

  .main .hero-section .retro-tv-container {
    display: none;
  }

  .main .hero-section .title-and-canvas {
    position: relative;
    left: unset;
    top: unset;
    width: 100%;
  }

  .main .hero-section .title-and-canvas .game-over-modal {
    position: absolute;
    height: 100%;
    width: 60%;
    background-color: var(--blue-alpha);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    gap: 1rem;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    color: var(--dark-grey);
  }
}
@media only screen and (max-width: 768px) {
  .card-title {
    font-size: 2rem;
  }

  .card-img-title {
    top: 50px;
  }
  .card-img {
    height: 250px;
  }
  .card-text h3 {
    font-size: 2.2rem;
  }
  .card-text p {
    font-size: 1.6rem;
  }

  .cards .card {
    width: 300px;
    min-width: 300px;
    flex: unset;
  }
}

@media only screen and (max-width: 765px) {
  .hero-section canvas,
  .hero-section h1 {
    width: 100%;
  }
  .game-controls {
    position: relative;
    top: 100%;
    transform: unset;
  }
  .sml-screen .top-flex {
    flex-direction: column;
    height: unset;
    margin: 2rem auto 0;
    width: 95%;
    max-width: 350px;
  }
  .channel-img,
  .profile-container {
    width: 100%;
  }
}
@media only screen and (max-width: 480px) {
  .modal-inner-container {
    top: 100px;
    transform: translateX(-50%);
  }

  .modal {
    overflow-y: scroll;
    height: calc(100vh - 90px);
  }
  .article-btns {
    padding: 0;
    flex-direction: column;
    padding-top: 3rem;
  }

  .article-btn {
    width: 100%;
  }

  .resources .game-heading {
    margin-top: 16rem;
  }

  .resources .tools,
  .btns-flex,
  .container .tools {
    width: 100%;
    max-width: unset;
    justify-content: space-between;
  }

  .btns-flex button {
    width: 72px;
  }
  .holding-page-inner h1 {
    font-size: var(--heading-4);
  }
  .holding-page-inner h2,
  .holding-page-inner a {
    font-size: var(--heading-6);
  }

  .resources .scroll-nav {
    overflow-x: scroll;
    padding: 3rem 0;
  }

  .sml-screen .top-flex {
    width: 100%;
    max-width: unset;
  }

  .main .hero-section .game-over-modal {
    height: 100%;
    width: 100%;
  }

  .hero-section h1 {
    font-size: var(--heading-5);
  }
  .main .intro-section h1 {
    font-size: var(--heading-4);
  }
  .container {
    width: 100%;
    margin: 0 auto;
  }

  .article-section {
    background-color: var(--dark-grey);
    padding: 1rem;
    border-radius: 2rem;
    margin: 0 0 2rem;
  }

  .heading {
    font-size: var(--heading-2);
  }

  .subheading {
    font-size: var(--heading-4);
    margin-top: 2rem;
    margin-bottom: 1rem;
    text-align: center;
  }

  form {
    width: 100%;
  }

  .btn-blue {
    font-size: var(--heading-5);
  }
  .cards {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .cards .card {
    width: 100%;
    min-width: unset;
    max-width: unset;
  }
  .code {
    width: 100%;
  }
}
